	function loadQuads(spritesheet,qw,qh)
		--get sheet dimensions
		local sw=spritesheet:getWidth()
		local sh=spritesheet:getHeight()
		
		--get number of columns and rows
		local c=math.floor(sw/qw) --maybe make this ceiling instead
		local r=math.floor(sh/qh) --maybe make this ceiling instead

		--prep output table
		local newq=love.graphics.newQuad--( x, y, width, height, sw, sh )
		local q={}

		--make output table
		for i=1,c do
			q[i]={}
			for j=1,r do
				q[i][j]=newq((i-1)*qw,(j-1)*qh,qw,qh,sw,sh)
			end
		end
		
		return q
	end