require 'functions.loadQuads'
require 'functions.animate'

function love.load()
	
	spritesheet= love.graphics.newImage('basic sprites.png')
	quads=loadQuads(spritesheet,50,50)
	
	frame=1
	
	animations={
		stand={
			{1,1,1},
			{1,1,1/5},
			{1,1,1/5}
			},
		run={
			{4,1,1/2},
			{5,1,1/2},
			{6,1,1/2}
			},
		jumpSpin={
			{7,1,1/12},
			{8,1,1/12},
			{9,1,1/12},
			{10,1,1/12}
			}
		}

		animation=animations.jumpSpin

end



function love.update(dt)
	
	--animate.count=animate.count+dt/animation[frame][3]
	
	frame=math.floor(animate.count)
	
	local type='repeat'
	---[[WHY DOESN'T THIS WORK WHEN IN FUNCTION FORM???
	
	if frame>#animation and type=='repeat' then
		animate.count=1
		frame=1
	elseif frame>2*#animation and type=='reverse' then
		animate.count=1
		frame=2*#animation-frame
	end
	--]]
	animate.update(animation,frame,dt,type)
	
end

function love.draw()
	local lg=love.graphics
	lg.print('current frame '..frame,0,0)
	local a=animations.jumpSpin
	lg.print('fames '..#a,0,20)
	lg.print('animate count '..animate.count,0,40)
	
	lg.drawq(spritesheet,quads[7][1],100,100)	
	
	
	local type='repeat'
	
	animate.draw(frame,animation,quads,spritesheet,type)

end